Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# TypeRegistry Class Reference

The TypeRegistry class maintains all the assigned TypeHandles in a given system. More...

List of all members.

## Public Member Functions
TypeHandle | findType (string name)
TypeHandle | findTypeById (int id)
TypeHandle | getChildClass (TypeHandle child, int index)
string | getName (TypeHandle type, TypedObject object)
int | getNumChildClasses (TypeHandle child, TypedObject child_object)
int | getNumParentClasses (TypeHandle child, TypedObject child_object)
int | getNumRootClasses ()
int | getNumTypehandles ()
TypeHandle | getParentClass (TypeHandle child, int index)
TypeHandle | getParentTowards (TypeHandle child, TypeHandle base, TypedObject child_object)
TypeHandle | getRootClass (int n)
TypeHandle | getTypehandle (int n)
bool | isDerivedFrom (TypeHandle child, TypeHandle base, TypedObject child_object)
| write (ostream out)
## Static Public Member Functions
static TypeRegistry | ptr ()
static | reregisterTypes ()

## Detailed Description

The TypeRegistry class maintains all the assigned TypeHandles in a given system.

There should be only one TypeRegistry class during the lifetime of the application. It will be created on the local heap initially, and it should be migrated to shared memory as soon as shared memory becomes available.

## Member Function Documentation

TypeHandle findType | ( | string | name | ) |

TypeHandle findTypeById | ( | int | id | ) |

TypeHandle getChildClass | ( | TypeHandle | child,
|  | int | index
| ) |  |

string getName | ( | TypeHandle | type,
|  | TypedObject | object
| ) |  |

int getNumChildClasses | ( | TypeHandle | child,
|  | TypedObject | child_object
| ) |  |

int getNumParentClasses | ( | TypeHandle | child,
|  | TypedObject | child_object
| ) |  |

int getNumRootClasses | ( |  | ) |

int getNumTypehandles | ( |  | ) |

TypeHandle getParentClass | ( | TypeHandle | child,
|  | int | index
| ) |  |

TypeHandle getParentTowards | ( | TypeHandle | child,
|  | TypeHandle | base,
|  | TypedObject | child_object
| ) |  |

TypeHandle getRootClass | ( | int | n | ) |

TypeHandle getTypehandle | ( | int | n | ) |

bool isDerivedFrom | ( | TypeHandle | child,
|  | TypeHandle | base,
|  | TypedObject | child_object
| ) |  |

static TypeRegistry ptr | ( |  | ) | `[static]`

static reregisterTypes | ( |  | ) | `[static]`

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties